@ECHO OFF
CLS
if not exist PSS45.FIR goto error

rem dekodujeme FIR soubor
FWDECR.EXE PSS45.FIR PSS45.DEC
rem vlozime upraveny font s ceskymi znaky
MINJECT ASC2020R.FNT PSS45.DEC 0xB5C9A 15360
rem vlozime nazev jazyka do menu
MINJECT CZLANGN.BIN PSS45.DEC 0x768CA 5
rem vlozime ceske retezce s offset tabulkou
MINJECT CZLANG.BIN PSS45.DEC 0x7B158 3773
rem vygeneruj retezec s vyssi verzi firmware
ECHO VER 01000201 >VERSION.BIN
MINJECT VERSION.BIN PSS45.DEC 0x18A6E5 12

if exist PSS45.BAK DEL PSS45.BAK
REN PSS45.FIR PSS45.BAK
rem a nakonec soubor zpet zakodujeme
FWDECR.EXE PSS45.DEC PSS45.FIR
rem DEL PSS45.DEC

goto finish

:error
ECHO.
ECHO Nahrajte prosim do tohoto adresare soubor firmware update PSS45.FIR
ECHO verze 1.0.2.0, bez nej by to slo tezko.
ECHO Download: http://web.canon.jp/imaging/PSS45/PSS45_Firmware-e.html
goto end

:finish
ECHO.
ECHO Nyni modifikovany firmware nahrajte do fotaku a v menu zvolte
ECHO "Firm Update", predem si nabijte akumulatory!
ECHO eNJ0Y...

:end

